LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-27-2011, 01:05 AM   #1
elishac
Member
 
Registered: Nov 2009
Posts: 522

Rep: Reputation: 33
java firefox


hello,

I'm using ubuntu with firefox and the icedTea plugin for java applets.
I'd like to use yahoo games on firefox. The icedTea plugin seems to work since the room is launched, and can be interacted with. But when I open a table, a pop up window opens, which contains an advertisement on the top window, but the bottom part, where the game should be displayed, remains gray. I have set firefox to allow popups.
What could cause this issue ? Is it possible that icedTea wouldn't work on popups?

I face the same issue with google chrome.

Thanks for any advice.
 
Old 12-27-2011, 03:32 AM   #2
dudeman41465
Member
 
Registered: Jun 2005
Location: Kentucky
Distribution: Ubuntu
Posts: 794

Rep: Reputation: 56
OpenJDK and the IcedTea plugin aren't up to par with the release versions of Oracle's Java client. Try installing sun-java6-plugin and removing the icedtea plugin, and see if it makes a difference.
 
Old 12-27-2011, 03:56 AM   #3
EDDY1
LQ Addict
 
Registered: Mar 2010
Location: Oakland,Ca
Distribution: wins7, Debian wheezy
Posts: 6,838

Rep: Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649
Quote:
Is it possible that icedTea wouldn't work on popups?
I had the same problem, chrome kept saying there was another update, but has to be done manually.
After following the limited instructions couldn't use keyboard in yahoo games.
In debian after squeeze sun-java is not available unless you do it thru an distro upgrade & it doesn't get the updates.
 
Old 12-27-2011, 01:21 PM   #4
elishac
Member
 
Registered: Nov 2009
Posts: 522

Original Poster
Rep: Reputation: 33
How do I install the sun-java6-plugin? It's not in my repository. Besides, doesn't the java6 plugin use the 6.24 version of Java, which has security risks ?
 
Old 12-27-2011, 07:38 PM   #5
elishac
Member
 
Registered: Nov 2009
Posts: 522

Original Poster
Rep: Reputation: 33
All I have is sun-java6-jre. But that's not it, is it?
 
Old 12-27-2011, 08:50 PM   #6
EDDY1
LQ Addict
 
Registered: Mar 2010
Location: Oakland,Ca
Distribution: wins7, Debian wheezy
Posts: 6,838

Rep: Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649
If sun-java6-jre available the other is available also a little farther down on the list.
 
Old 12-27-2011, 08:58 PM   #7
elishac
Member
 
Registered: Nov 2009
Posts: 522

Original Poster
Rep: Reputation: 33
Well in my case it's not
me@mypc:~$ sudo apt-get install sun-java6-plugin
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Couldn't find package sun-java6-plugin
me@mypc:~$
 
Old 12-27-2011, 09:37 PM   #8
EDDY1
LQ Addict
 
Registered: Mar 2010
Location: Oakland,Ca
Distribution: wins7, Debian wheezy
Posts: 6,838

Rep: Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649
You should have synaptic package manager check in there, if you have done upgrades it may have gotten phsed out.
 
Old 12-27-2011, 10:15 PM   #9
elishac
Member
 
Registered: Nov 2009
Posts: 522

Original Poster
Rep: Reputation: 33
I'm sorry I don't understand. What command or series of commands am I supposed to type in order to install sun-java6-plugin?
 
Old 12-27-2011, 10:20 PM   #10
EDDY1
LQ Addict
 
Registered: Mar 2010
Location: Oakland,Ca
Distribution: wins7, Debian wheezy
Posts: 6,838

Rep: Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649
If you have graphical desktop open up "synaptic package manager" or "Package Manager", which should be under Applications Menu & see if it's listed.
 
Old 12-27-2011, 11:18 PM   #11
elishac
Member
 
Registered: Nov 2009
Posts: 522

Original Poster
Rep: Reputation: 33
No it's not listed there either.
 
Old 12-27-2011, 11:25 PM   #12
elishac
Member
 
Registered: Nov 2009
Posts: 522

Original Poster
Rep: Reputation: 33
And sun-java6-jre is not available either in the synaptics package manager (the search "sun-java6" returns 0 results). I made a mistake when I mentioned I could install it. I was mislead by the fact that, when I press tab twice, it appears in the list of propositions. But if I actually try to install it, I get an error.

me@mypc:~$ sudo apt-get install sun-java6-
sun-java6-doc sun-java6-fonts sun-java6-jdk sun-java6-jre
me@mypc:~$ sudo apt-get install sun-java6-jre
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package sun-java6-jre is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package sun-java6-jre has no installation candidate
me@mypc:~$

Last edited by elishac; 12-27-2011 at 11:29 PM.
 
Old 12-28-2011, 12:23 AM   #13
EDDY1
LQ Addict
 
Registered: Mar 2010
Location: Oakland,Ca
Distribution: wins7, Debian wheezy
Posts: 6,838

Rep: Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649
To get sun-java on my system I had to downgrade to squeeze
 
Old 12-28-2011, 12:45 AM   #14
elishac
Member
 
Registered: Nov 2009
Posts: 522

Original Poster
Rep: Reputation: 33
What is "squeeze" ?

This is killing me... is it not possible to have java sun and its firefox plugin on ubuntu anymore ?? From what I've read, I gather that the license was modified so that the ubuntu OS couldn't ship it by default, but this shouldn't mean that it's not possible to install it manually, because it worked before, so there's no reason it wouldn't work now...

I'm just lost, can you please help me ?

On this page, https://help.ubuntu.com/community/Java, it says how to install Java sun briefly, but not how to install the firefox plugin, which is what I need most.
So how to install it??
 
Old 12-28-2011, 01:17 AM   #15
EDDY1
LQ Addict
 
Registered: Mar 2010
Location: Oakland,Ca
Distribution: wins7, Debian wheezy
Posts: 6,838

Rep: Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649Reputation: 649
sun denied debian the licensing agreement, I don't know about ubuntu as it is .deb based.
http://www.omgubuntu.co.uk/2011/12/j...user-machines/
debian squeeze

Last edited by EDDY1; 12-28-2011 at 01:18 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Java plugin installed correctly for Firefox but not able to view any java applet tvn Linux - Software 10 04-15-2010 03:13 AM
Firefox refuses to load Java jnlp files - plugin and java ok Melsync Linux - Software 1 06-25-2006 05:09 PM
Java/Firefox java plugin not working with HP Webjetadmin iamskykid Linux - Software 2 03-02-2006 03:38 PM
firefox 1.6 and java linuxmandrake Linux - Software 4 12-04-2005 10:38 PM
Still trying to get Java into firefox Travis Huey Linux - Newbie 5 02-23-2005 07:55 PM


All times are GMT -5. The time now is 10:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration